#include <string>
#include <vector>
#include "main.h"
using namespace std;
class WebDav
{
public:
	WebDav();
	~WebDav();
protected:
	//File helpers
	time_t GetATime(string path);
	string getFileETag(file_s f);
	unsigned last_error;
private:
	//DAV helpers
	int put(string filename,string r_path, string lockt);
	int get(string filename,string r_path);
	int mkcol(string r_path);
	int setprop(string r_path, string prop, string val, string lock_token);
	int unlock(string r_path, string lockt);
	int lock(string r_path, string& lock_token);

public:
	string propfind(string r_path, string lock_token, string prop);//TODO:убрать в приват
	int Propfind(file_s&);
	int PropPatch();
	int Mkcol(const std::string);
	int Delete(const std::string);
	int Get(file_s&);
	int Put(file_s&);
	int Lock();
	int Unlock();
	int Options();
	inline unsigned GetLastError(){return last_error;};
	int TryAuth();
	int GetQuote(long long &max, long long &cur);
	vector<file_s> GetServerList();
};
