#ifndef IPC_PROXY_H
#define IPC_PROXY_H
#include "ipc_interface.h"
#include <string>
class ipc_proxy
{
public:
	enum status{
		NONE,
		SYNC_START,
		SYNC_STOP,
		SYNC_STATUS,
		FILE_ADD,
		FILE_DEL,
		FILE_STATUS,
		DIR_STATUS,
		REQ_LOGIN,
		ACC_VALID,
		PWD_CHANGED,
		NOTE_MSG,
		SET_CHANGED,
		
	};

	ipc_proxy(const char* path);
	~ipc_proxy();
	int next();
	int nextb();
	int send(status st,const char* path, std::string ret=std::string());
	inline status getState() {return state;};
	std::string getData();
private:
	status state;
	std::string data;
	int sock;
	std::string spath;
};
#endif 
