#ifndef MAIN_H
#define MAIN_H
#include "ipc_proxy.h"
enum files_flags
{
	FL_DELETE=1,
	FL_DELETED=2,
};

struct http_ctx
{
	std::string creds;
	std::string host;
	unsigned short port;
	std::string path;
	std::string home;
	std::string pathConfig;
	std::string pathNotify;
	std::string defFolder;
	ipc_proxy* ipc;
	bool ssl;
}; 

extern http_ctx conn_ctx;

struct file_s
{
	std::string uname;	//!уникальное имя для хранения на сервере //TODO:Возможно использовать как ключ для map
	std::string path;	//!путь на локальной системе
	time_t sync_time;	//!время синхронизации
	std::string eTag;       //!ЕТаг на сервере
	char flags;
	
};

#endif
