#include <string>
#include "WebDAV.h"
#include "ipc_proxy.h"
#include "filesdb.h"
#include "main.h"
using namespace std;

class syncronizer : public WebDav
{
public:
	syncronizer(string srv,unsigned short port,string col);
	~syncronizer();
	int dbconnect(string);
	int addFile(string);
	int removeFile(string path);
	int deleteFile(string);
	string checkDir(string);
	int checkFile(string path);
	void fthread();
	void stop();
	int start();
	void syncAll();
	void syncStop();
	void setSyncTime(int sec);//0 -отключить
	void setIPC(ipc_proxy* i){ipc=i;};
	int is_work();
private:
	int sync();
	ipc_proxy* ipc;
	filedb db;
	pthread_t th;
	int is_working, stopflag;
	pthread_spinlock_t lock;
	int sync_time,def_synctime;

};
