#include <vector>
#include <fstream>
#include <pthread.h>
#include "main.h"

using namespace std;
class filedb
{
public:
	filedb(string fpath);
	filedb();
	~filedb();
	void dbset(string);
	int load();
	int save();
	int lock();
	int unlock();
	int insert(string);
	int remove(string);

	vector<file_s> &getFileVec(); 	//TODO:Возможно доставать элементы по индексации? / И использовать мар с уникальным индексом
private:
	pthread_mutex_t m_lock;
	string path;
	ifstream* f_db;
	vector<file_s> m_db;
};
