#include <stdio.h>
#include <stdlib.h>
#include <string>
#include "include/ipc_interface.h"
#include "include/ipc_proxy.h"
#include <iostream>
#define HOME_ENV "HOME"
using namespace std;
int main(int argc, char* argv[])
{
	if(argc < 2){
		cerr<<"usage: psyncctl <add|remove|sync> [filename]"<<endl;
		return 0;
	}
	try{
		char* he=getenv(HOME_ENV);
		if(!he)
			throw "Ошибка получения $HOME";
		string home(he);
		home+="/";home+=FOLDER_NAME;home+="/";
		string pathSync=home+SYNCRONIZE_PROGRAM_NAME;
		string pathDolphin=home+DOLPHIN_PROGRAM_NAME;

		ipc_proxy ipc(pathDolphin.c_str());
		if(string(argv[1])=="add")
			ipc.send(ipc_proxy::FILE_ADD, pathSync.c_str(), string(argv[2]));
		if(string(argv[1])=="sync")
			ipc.send(ipc_proxy::SYNC_START, pathSync.c_str());
		if(string(argv[1])=="remove")
			ipc.send(ipc_proxy::FILE_DEL, pathSync.c_str(), string(argv[2]));
	}
	catch(const char* ch)
	{
		cerr<< ch<<endl;
	}
}
